<!-- Navigation bootstrap -->

<nav class="navbar navbar-expand-sm navbar-dark bg-dark static-top shadow-lg">
    <div class="container">
        <a class="navbar-brand font-weight-bold text-primary" href="{{ path('main') }}"><img src="{{ asset('/img/logoNew.png') }}" alt="logo"></a>

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ml-auto">
                {% if app.user %}
                    <li class="nav-item">
                        <a class="nav-link text-primary" href="{{ path('newBrame') }}">Bramer</a>
                    </li>
                    <li class="nav-item dropdown ml-sm-2">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <svg height="22px" viewBox="-58 0 511 511.99847" fill="currentColor" width="22px" xmlns="http://www.w3.org/2000/svg"><path d="m383.777344 137.507812c-26.667969-8.488281-77.816406-11.359374-117.351563 12.15625-3.730469-2.703124-7.640625-5.175781-11.710937-7.394531l41.425781-27.929687.605469-.503906c1.171875-.984376 2.179687-2.109376 3.054687-3.324219.5-.515625.984375-1.058594 1.417969-1.65625l61.882812-85.019531c4.875-6.699219 3.398438-16.082032-3.300781-20.960938-6.699219-4.875-16.082031-3.398438-20.960937 3.300781l-43.347656 59.558594-12.808594-54.179687c-1.90625-8.0625-9.984375-13.054688-18.050782-11.148438-8.066406 1.90625-13.054687 9.988281-11.148437 18.054688l18.035156 76.292968-52.371093 35.308594c-6.664063-1.125-13.523438-1.71875-20.53125-1.71875-7.011719 0-13.871094.59375-20.535157 1.71875l-52.371093-35.308594 18.039062-76.292968c1.90625-8.066407-3.085938-16.148438-11.148438-18.054688-8.066406-1.90625-16.148437 3.085938-18.054687 11.148438l-12.808594 54.179687-43.347656-59.558594c-4.875-6.699219-14.261719-8.175781-20.957031-3.300781-6.699219 4.878906-8.179688 14.261719-3.304688 20.960938l61.882813 85.019531c.4375.597656.917969 1.140625 1.421875 1.65625.871094 1.214843 1.878906 2.339843 3.050781 3.324219l.605469.503906 41.429687 27.933594c-4.132812 2.25-8.097656 4.761718-11.878906 7.515624-39.566406-23.648437-90.839844-20.78125-117.550781-12.28125-8.085938 2.574219-13.238282 10.277344-12.523438 18.734376.613282 7.308593 3.523438 26.480468 17.191406 46.625 15.449219 22.765624 39.101563 39.351562 70.378907 49.398437 2.394531 17.011719 8.515625 34.28125 18.335937 51.03125 2.152344 3.667969 4.179688 7.230469 6.117188 10.710937v111.960938c0 47.4375 38.589844 86.03125 86.027344 86.03125s86.027343-38.59375 86.027343-86.03125v-111.964844c1.9375-3.476562 3.964844-7.039062 6.117188-10.710937 9.84375-16.789063 15.96875-34.097657 18.351562-51.148438 31.085938-10.0625 54.609375-26.609375 69.996094-49.28125 13.667969-20.140625 16.578125-39.316406 17.195313-46.625.707031-8.453125-4.441407-16.15625-12.527344-18.730469zm-113.601563 60.222657c14.980469 26.152343 13.046875 59.09375-5.300781 90.386719-2.679688 4.570312-5.164062 8.964843-7.515625 13.21875-.632813.902343-1.171875 1.875-1.597656 2.910156-5.464844 10.019531-10.140625 19.1875-14.417969 27.597656-18.214844 35.804688-24.285156 46.128906-42.726562 46.128906-18.441407 0-24.515626-10.320312-42.730469-46.128906-4.277344-8.410156-8.949219-17.578125-14.417969-27.597656-.425781-1.035156-.964844-2.007813-1.597656-2.910156-2.351563-4.257813-4.835938-8.648438-7.515625-13.21875-18.347657-31.289063-20.28125-64.234376-5.300781-90.382813 14.128906-24.664063 40.878906-39.386719 71.5625-39.386719 30.679687 0 57.429687 14.722656 71.558593 39.382813zm-227.589843-11.714844c-5.644532-8.316406-8.679688-16.335937-10.3125-22.429687 21.035156-4.027344 51.507812-3.3125 75.984374 8.253906-2.613281 3.480468-5.039062 7.136718-7.238281 10.976562-6.742187 11.769532-11.035156 24.429688-12.921875 37.570313-20.136718-7.984375-35.417968-19.496094-45.511718-34.371094zm156.03125 295.976563c-30.894532 0-56.023438-25.132813-56.023438-56.023438v-55.265625c13.28125 22.59375 27.84375 37.277344 56.023438 37.277344 28.175781 0 42.738281-14.683594 56.019531-37.277344v55.265625c0 30.890625-25.128907 56.023438-56.019531 56.023438zm155.660156-295.976563c-10.035156 14.792969-25.199219 26.253906-45.164063 34.230469-1.898437-13.089844-6.183593-25.703125-12.902343-37.429688-2.226563-3.886718-4.683594-7.585937-7.332032-11.105468 24.429688-11.445313 54.753906-12.136719 75.710938-8.125-1.632813 6.09375-4.667969 14.113281-10.3125 22.429687zm0 0"/></svg>
                            {{ app.user.pseudo}}
                        </a>
                        <div class="dropdown-menu dropdown-menu-right shadow bg-dark mt-sm-3 p-0 border-0 rounded-0" aria-labelledby="userDropdown">
                            <a class="dropdown-item text-white" href="{{ path('displayUser') }}">Mon profil</a>
                            <a class="dropdown-item text-white" href="{{ path('app_logout') }}">Me déconnecter</a>
                        </div>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link text-white" href="{{ path('app_register') }}">M'inscrire</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="{{ path('app_login') }}">Me connecter</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>

{% if app.user %}
    <script>
        let userId = {{ app.user.id }};
    </script>
{% else %}
    <script>
        let userId = "Not connected"
    </script>
{% endif %}
    
